;; PSIMETRICA:  Phonological SIMilarity METRIC Analysis
;; (c) 1998-2004 Shane T. Mueller
;; stmuelle@indiana.edu
;; More info at: http://mypages.iu.edu/~stmuelle
;; May not be copied or distributed without permission.
;; Tools and routines for measuring phonological similarity between words.
;;
;;  analyze-vw.lsp
;;  This file loads words used by Vitz & Winkler and examines their similarity.

;;Load the words:
(load "../words//vw.lsp")


;;Set the dummy distances.
(setf *average-ss-distance* .356)
(setf *average-consonant-distance* .37)
(setf *average-lg-distance* .53)

(format t "~%")
(mapcar #'(lambda (x) (format t "1    ~1,3F    ~1,4F    ~1,4F    ~1,4F  ~1,4F  ~%"
                              (roundoff (first (car x)) 4)
                              (roundoff (second (car x)) 4)
                              (roundoff (third (car x)) 4)
                              (roundoff (fourth (car x)) 4)
                              (roundoff (fifth (car x)) 5)
                              ))
        (cross-word-to-list-list (process-word vw-exp1-standard) (p-l vw-exp1)))

(mapcar #'(lambda (x) (format t "2    ~1,3F    ~1,4F    ~1,4F    ~1,4F    ~1,4F    ~%"
                              (roundoff (first (car x)) 4)
                              (roundoff (second (car x)) 4)
                              (roundoff (third (car x)) 4)
                              (roundoff (fourth (car x)) 4)
                              (roundoff (fifth (car x)) 4)
                              ))
        (cross-word-to-list-list (process-word vw-exp2-standard) (p-l vw-exp2)))

(mapcar #'(lambda (x) (format t "3    ~1,3F    ~1,4F    ~1,4F    ~1,4F    ~1,4F    ~%"
                              (roundoff (first (car x)) 4)
                              (roundoff (second (car x)) 4)
                              (roundoff (third (car x)) 4)
                              (roundoff (fourth (car x)) 4)
                              (roundoff (fifth (car x)) 4)
                              ))
        (cross-word-to-list-list (process-word vw-exp3-standard) (p-l vw-exp3)))





(mapcar #'(lambda (x) (format t "1    ~1,4F     ~%"
                              (roundoff (first (car x)) 4)
                              ))       
        (cross-word-to-list-list vw-exp1-standard  vw-exp1))

(mapcar #'(lambda (x) (format t "2    ~1,4F    ~%"
                              (roundoff (first (car x)) 4)
                              ))
        (cross-word-to-list-list  vw-exp2-standard  vw-exp2))

(mapcar #'(lambda (x) (format t "3    ~1,4F  ~%"
                              (roundoff (first (car x)) 4)
                              ))
        (cross-word-to-list-list vw-exp3-standard vw-exp3))

