;; PSIMETRICA:  Phonological SIMilarity METRIC Analysis
;; (c) 1998-2004 Shane T. Mueller
;; stmuelle@indiana.edu
;; More info at: http://mypages.iu.edu/~stmuelle
;; May not be copied or distributed without permission.
;; Tools and routines for measuring phonological similarity between words.
;;
;;  find-null-values.lsp
;; This is the routines used to find the 'null' values for
;; comparisons between real and null phonemes.
;;

(defvar *consonants* '(h p b t d ch j k g f v th thz m n ng))
(defvar *lgs* '(y w r l))
(defvar *ss*  '(s z sh zh))
(defvar *all* (append *ss* *consonants* *lgs*))

(list
 
 (list
  (list-to-list-average *ss* *all*)
  (list-to-list-average *consonants* *all*)
  (list-to-list-average *lgs* *all*)
  )
 (list
  (list-to-list-average *ss* (append *lgs* *consonants*))
  (list-to-list-average *consonants* (append *lgs* *ss*))
  (list-to-list-average *lgs* (append *ss* *consonants*))
  )
 )

