;; PSIMETRICA:  Phonological SIMilarity METRIC Analysis
;; (c) 1998-2004 Shane T. Mueller
;; stmuelle@indiana.edu
;; More info at: http://mypages.iu.edu/~stmuelle
;; May not be copied or distributed without permission.
;; Tools and routines for measuring phonological similarity between words.
;;
;;  Mueller2003.lsp
;;  This file evaluates word sets used tested and post-hoc evaluated
;;  by Mueller et al.(2003).  These include  their own word sets,
;;  four from Caplan, Rochon, and Waters (2003),  Cowan et al, etc.

;;these are 'optimal' values found in weight-similarity.xls
(setf *average-ss-distance* .356)
(setf *average-consonant-distance* .37)
(setf *average-lg-distance* .53)
(setf *rhyme-weight* 0)


;;  This should accurately reproduce the similarity values 
;;  reported by Mueller, et al. (2003).
;;
(progn (mapcar 'print
  (list

	;;Four lists from Caplan, Rochon, & Waters, 1992
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l cw1))) 56)
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l cw2))) 56)
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l cw3))) 42) 
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l cw4))) 42) 
	
	;; These are lists 1 and 3 from Mueller et al, 2003
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l l1))) 132) 
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l l3))) 132)

	;; Three lists from Experiment 2 of Mueller et al., 2003
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l ph1))) 90)
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l ph2)))  90)
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l ph3))) 90)

	;;Lists from Lovatt, Avons, & Masterson
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam1-short))) 56)
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam1-long)))  56)
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam2-short))) 56)
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam2-long)))  56)
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam3-short))) 90)
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam3-long)))  90)
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam2-shortb))) 20)
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam2-longb)))  20)


	;; Cowan et al., 1997; short and long words
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l cows))) 30)
	(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l cowl)))  30)

	))
nil)
