;; PSIMETRICA:  Phonological SIMilarity METRIC Analysis
;; (c) 1998-2004 Shane T. Mueller
;; stmuelle@indiana.edu
;; More info at: http://mypages.iu.edu/~stmuelle
;; May not be copied or distributed without permission.
;; Tools and routines for measuring phonological similarity between words.
;;
;;  nonwordsets.lsp
;;  This file loads  four sets of pre-defined nonwords
;;  from newnonwords.lsp and constructs multi-dimensional 
;;  similarity matrices.

;; load  the word sets defined in newnonwords.lsp
(load "..//words//newnonwords.lsp")

;;these are optimal values found in weight-similarity.xls
(setf *average-ss-distance* .356)
(setf *average-consonant-distance* .37)
(setf *average-lg-distance* .53)



;;This gets a full similarity matrix
(setq md1 (cross-evaluate-list-list (p-l *dis-nw-1*)))
(setq md2 (cross-evaluate-list-list (p-l *dis-nw-2*)))
(setq ms1 (cross-evaluate-list-list (p-l *sim-nw-1*)))
(setq ms2 (cross-evaluate-list-list (p-l *sim-nw-2*)))


(defun extract-matrix (element matrix)

  (mapcar #'(lambda (x) (extract-list element x)) matrix)
  )

(defun extract-list (element list)
  (mapcar #'(lambda (x) (roundoff (nth element (first x)) 4)) list)
  )

(defun print-matrix (matrix)
  (format t "~%")
  (mapcar #'(lambda (y) (progn (mapcar #'(lambda (x) (format t "~,3F " x)) y)
                               (format t "~%")))
              matrix)
          
  )

(print-matrix (extract-matrix 0 md1))
(print-matrix (extract-matrix 1 md1))
(print-matrix (extract-matrix 2 md1))


(print-matrix (extract-matrix 0 md2))
(print-matrix (extract-matrix 1 md2))
(print-matrix (extract-matrix 2 md2))


(print-matrix (extract-matrix 0 ms1))
(print-matrix (extract-matrix 1 ms1))
(print-matrix (extract-matrix 2 ms1))

(print-matrix (extract-matrix 0 ms2))
(print-matrix (extract-matrix 1 ms2))
(print-matrix (extract-matrix 2 ms2))

