;; PSIMETRICA:  Phonological SIMilarity METRIC Analysis
;; (c) 1998-2004 Shane T. Mueller
;; stmuelle@indiana.edu
;; More info at: http://mypages.iu.edu/~stmuelle
;; May not be copied or distributed without permission.
;; Tools and routines for measuring phonological similarity between words.
;;
;;  scratchpad.lsp
;;  This file is just a playground where I have tested and evaluated functions
;;  and wordlists.  It may or may not load and run completely.



;;(setf *rhyming-rhyme-weight* .4)
;;(setf *default-rhyme-weight* .2)



;;optimal values for 9715 data
;(setf *average-distance* .17)
;(setf *average-ss-distance*        *average-distance*)
;(setf *average-consonant-distance* *average-distance*)
;(setf *average-lg-distance*        *average-distance*)


;;these are optimal values found in weight-similarity.xls
(setf *average-ss-distance* .356)
(setf *average-consonant-distance* .37)
(setf *average-lg-distance* .53)


(progn (mapcar 'print
  (list
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l btb1))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l btb2))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l btb3))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l btb4))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l btb5))) 90)

   ))
  nil)


(progn (mapcar 'print
  (list
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l btb1))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l btb2))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l btb3))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l btb4))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l btb5))) 90)

   ))
  nil)


(progn (mapcar 'print
  (list
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l l1))) 132)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l l2))) 132)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l l3))) 132)

   ))
   nil)

(progn (mapcar 'print
  (list
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l bad1a))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l bad2a))) 90)
   ))
   nil)

(progn (mapcar 'print
  (list
    (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l badd-66-1))) 56)
    (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l badd-66-2))) 56)
    (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l badd-66-3))) 56)
    (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l badd-66-4))) 56)
   ))
   nil)

(progn (mapcar 'print
  (list
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo1))) 12)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo2))) 12)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo3))) 12) 
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo4))) 12) 
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo5))) 12) 
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo6))) 12)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo7))) 12)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo8))) 12)
   ))
   nil)


(progn (mapcar 'print
  (list
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo1d))) 12)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo2d))) 12)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo3d))) 12) 
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo4d))) 12) 
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo5d))) 12) 
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo6d))) 12)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo7d))) 12)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lo8d))) 12)
   ))
   nil)



(progn (mapcar 'print
  (list
(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l cw1))) 56)
(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l cw2))) 56)
(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l cw3))) 42) 
(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l cw4))) 42) 
(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l l1))) 132) 
(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l l3))) 132)

(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l ph1))) 90)
(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l ph2)))  90)
(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l ph3))) 90)
;(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam1-short))) 56)
;(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam1-long)))  56)
;(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam2-short))) 56)
;(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam2-long)))  56)
;(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam3-short))) 90)
;(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam3-long)))  90)
(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam2-shortb))) 20)
(divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l lam2-longb)))  20)
))
nil)


(progn (mapcar 'print
         (list
          (cross-evaluate-list-list (p-l cw1))
          (cross-evaluate-list-list (p-l cw2))
          (cross-evaluate-list-list (p-l cw3)) 
          (cross-evaluate-list-list (p-l cw4)) 
          (cross-evaluate-list-list (p-l l1)) 
          (cross-evaluate-list-list (p-l l3))
          (cross-evaluate-list-list (p-l ph1))
          (cross-evaluate-list-list (p-l ph2))
          (cross-evaluate-list-list (p-l ph3))
          ))
  nil)


(progn (mapcar 'print
  (list
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l cows))) 30)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l cowl))) 30)
   )))

(pprint (list 
         (roundoff(/ (sum-list (cross-evaluate-list (p-l cw1))) 56))
         (roundoff(/ (sum-list (cross-evaluate-list (p-l cw2))) 56))
         (roundoff(/ (sum-list (cross-evaluate-list (p-l cw3))) 42))
         (roundoff(/ (sum-list (cross-evaluate-list (p-l cw4))) 42))
         (roundoff (/ (sum-list (cross-evaluate-list (p-l l1))) 132))
         (roundoff(/ (sum-list (cross-evaluate-list (p-l l3))) 132))
         (roundoff (/ (sum-list (cross-evaluate-list (p-l ph1))) 90))
         (roundoff(/ (sum-list (cross-evaluate-list (p-l ph2))) 90))
         (roundoff (/ (sum-list (cross-evaluate-list (p-l ph3))) 90))
         (roundoff (/ (sum-list (cross-evaluate-list (p-l lam1-short))) 56))
         (roundoff(/ (sum-list (cross-evaluate-list (p-l lam1-long))) 56))
         (roundoff(/ (sum-list (cross-evaluate-list (p-l lam2-short))) 56))
         (roundoff(/ (sum-list (cross-evaluate-list (p-l lam2-long))) 56))
         (roundoff(/ (sum-list (cross-evaluate-list (p-l lam3-short))) 90))
         (roundoff(/ (sum-list (cross-evaluate-list (p-l lam3-long))) 90))
         ))

;(pl-2 lam1-short)
;(pl-2 lam1-long)
;(pl-2 lam2-short)
;(pl-2 lam2-long)
;(pl-2 lam3-short)
;(pl-2 lam3-long)

(cross-evaluate-list (p-l cw3))
(cross-evaluate-list (p-l cw4))

;  the following prints:
; (     (entropy profile) (similarity profile))
(collapse-inner-entropy-lists (pl-2 cw1)) 
(collapse-inner-entropy-lists (pl-2 cw2)) 
(collapse-inner-entropy-lists (pl-1 cw3))       
(collapse-inner-entropy-lists (pl-1 cw4))  
(collapse-inner-entropy-lists (pl-1 l1))       
(collapse-inner-entropy-lists (pl-3 l3))       
(collapse-inner-entropy-lists (pl-2 ph1))        
(collapse-inner-entropy-lists (pl-3 ph2))        
(collapse-inner-entropy-lists (pl-2 ph3))        
(collapse-inner-entropy-lists (pl-2 lam1-short)) 
(collapse-inner-entropy-lists (pl-2 lam1-long))  
(collapse-inner-entropy-lists (pl-2 lam2-short))
(collapse-inner-entropy-lists (pl-2 lam2-long))
(collapse-inner-entropy-lists (pl-2 lam3-short))
(collapse-inner-entropy-lists (pl-2 lam3-long))  
      



(pl-1 test1)
(pl-1 test2)

(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l cw1)))) 56)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l cw2)))) 56)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l cw3)))) 42)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l cw4)))) 42)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l l1)))) 132)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l l3)))) 132)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l ph1)))) 90)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l ph2)))) 90)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l ph3)))) 90)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l lam1-short)))) 56)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l lam1-long)))) 56)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l lam2-short)))) 56)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l lam2-long)))) 56)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l lam3-short)))) 90)
(divide-similarity-profile-by-n (sum-matrix-list (make-distance-matrix-from-tversky (cross-evaluate-list (p-l lam3-long)))) 90)



(progn (mapcar 'print
  (list
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l nonwords1))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l nonwords2))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l nonwords3))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l nonwords-other))) 90)
   (divide-similarity-profile-by-n (sum-matrix-list (cross-evaluate-list-list (p-l l2))) 132)
   ))
   nil)


(setf names `(,cw1 ,cw2 ,cw3 ,cw4 ,l1 ,l3 ,ph1 ,ph2 ,ph3 ,lam1-short ,lam1-long ,lam2-short ,lam2-long ,lam3-short ,lam3-long))
(mapcar #'(lambda (x) (cross-evaluate-list (p-l x))) names)



(pprint
 (list
  (mapcar #'(lambda (x) (mapcar #'(lambda (y) (mapcar #'first y)) x)) (cross-evaluate-list-list (p-l cw1)))
  (cross-evaluate-list-list (p-l cw2)) )
  (cross-evaluate-list-list (p-l cw3)))
  (cross-evaluate-list-list (p-l cw4))
  (cross-evaluate-list-list (p-l l1))
  (cross-evaluate-list-list (p-l l3))
  (cross-evaluate-list-list (p-l ph1))
  (cross-evaluate-list-list (p-l ph2))
  (cross-evaluate-list-list (p-l ph3))
  (cross-evaluate-list-list (p-l lam1-short))
  (cross-evaluate-list-list (p-l lam1-long))
  (cross-evaluate-list-list (p-l lam2-short))
  (cross-evaluate-list-list (p-l lam2-long))
  (cross-evaluate-list-list (p-l lam3-short))
  (cross-evaluate-list-list (p-l lam3-long))
 ))

(pprint (get-syllable-matrix cw1 0))
(pprint (get-syllable-matrix cw1 1))
(pprint (get-syllable-matrix cw1 2))
(pprint (get-syllable-matrix cw2 0))
(pprint (get-syllable-matrix cw2 1))
(pprint (get-syllable-matrix cw2 2))
(pprint (get-syllable-matrix cw3 0))
(pprint (get-syllable-matrix cw3 1))
(pprint (get-syllable-matrix cw3 2))
(pprint (get-syllable-matrix cw4 0))
(pprint (get-syllable-matrix cw4 1))
(pprint (get-syllable-matrix cw4 2))
(pprint (get-syllable-matrix l1 0))
(pprint (get-syllable-matrix l1 1))
(pprint (get-syllable-matrix l1 2))
(pprint (get-syllable-matrix l3 0))
(pprint (get-syllable-matrix l3 1))
(pprint (get-syllable-matrix l3 2))
(pprint (get-syllable-matrix ph1 0))
(pprint (get-syllable-matrix ph1 1))
(pprint (get-syllable-matrix ph1 2))
(pprint (get-syllable-matrix ph2 0))
(pprint (get-syllable-matrix ph2 1))
(pprint (get-syllable-matrix ph2 2))
(pprint (get-syllable-matrix ph3 0))
(pprint (get-syllable-matrix ph3 1))
(pprint (get-syllable-matrix ph3 2))



(/ (sum-list (get-syllable-matrix lam1-short 0)) 56.0);onset
(/ (sum-list (get-syllable-matrix lam1-short 1)) 56.0);nucleus
(/ (sum-list (get-syllable-matrix lam1-short 2)) 56.0);coda

(/ (sum-list (get-syllable-matrix lam1-long 0)) 56.0);onset
(/ (sum-list (get-syllable-matrix lam1-long 1)) 56.0);nucleus
(/ (sum-list (get-syllable-matrix lam1-long 2)) 56.0);coda

(/ (sum-list (get-syllable-matrix lam2-short 0)) 56.0);onset
(/ (sum-list (get-syllable-matrix lam2-short 1)) 56.0);nucleus
(/ (sum-list (get-syllable-matrix lam2-short 2)) 56.0);coda

(/ (sum-list (get-syllable-matrix lam2-long 0)) 56.0);onset
(/ (sum-list (get-syllable-matrix lam2-long 1)) 56.0);nucleus
(/ (sum-list (get-syllable-matrix lam2-long 2)) 56.0);coda

(/ (sum-list (get-syllable-matrix lam3-short 0)) 90.0);onset
(/ (sum-list (get-syllable-matrix lam3-short 1)) 90.0);nucleus
(/ (sum-list (get-syllable-matrix lam3-short 2)) 90.0);coda

(/ (sum-list (get-syllable-matrix lam3-long 0)) 90.0);onset
(/ (sum-list (get-syllable-matrix lam3-long 1)) 90.0);nucleus
(/ (sum-list (get-syllable-matrix lam3-long 2)) 90.0);coda



(pprint (vectorify-word '((2 (b) (a_)    (s)) (1 (m) (@) (n t)))))

(pprint (evaluate-similarity-list  (vectorify-word '((2 (b) (a_)    (s)) (1 (X) (@) (n t))))
                                  (vectorify-word '((2 (d) (a_) (r))) )))


(length  '((2 (b) (a_)    (s)) (1 (X) (@) (n t))))

(pprint (make-n-longer '(a) 3))


(time (dotimes (i 1000 i) (cross-evaluate-list-list (p-l lo1d))))
        
        
        (evaluate-similarity-list  (vectorify-word '((2 (b) (a_)    (s)) (1 (X) (@) (n t))))
                                  (vectorify-word '((2 (d) (a_) (r))) ))))

(let ((a '(x b c)))
  (funcall `(print ,a)))

;;This processes the noun-pool words
(progn
  (input-dictionary)
  (OPEN-matrix-files)
  (dotimes (j 480)
    (prin1 j)
    (print  (aref *noun-dict* j))
    (process-word-for-np (aref *noun-dict* j))
    )
  (close-matrix-files)
  )

(pprint (vectorify-word '((2 (p l) (a_) (s)) (1 (m) (ae) (t s)))))
(pprint (vectorify-word '((1 (X) (@) (X)) (2 (m) (ah oo) (n t)))))


 (cross-evaluate-list-list (p-l *henson-stim))