;; PSIMETRICA:  Phonological SIMilarity METRIC Analysis
;; (c) 1998-2004 Shane T. Mueller
;; stmuelle@indiana.edu
;; More info at: http://mypages.iu.edu/~stmuelle
;; May not be copied or distributed without permission.
;; Tools and routines for measuring phonological similarity between words.
;;
;;  setup-linux.lsp
;;  This file loads all appropriate source files and sets common execution
;;  parameters for CMU Common Lisp.  It should work under all flavors
;;  of common lisp, with very little modification.

;;************************************************
;; CMUCL and lisp environment settings 
(setf *bytes-consed-between-gcs* 80000000)
(SETF *GC-VERBOSE* NIL)

;;(setf *package* 'common-lisp)



;;************************************************
;; Basic PSIMETRICA source files. Compile for
;; better performance
(load "similarity.lsp")
(load "util.lsp")


;;************************************************
;;Files defining words.
(load "..//words//words.lsp");;Load the main word set
;;(load "..//words//newnonwords.lsp")        ;;A set of nonwords.
;;(load "..//words//adamk.lsp")              ;;A set of words used in a stm task
;;(load "..//words//vw.lsp")                 ;;Words used by Vitz & Winkler




;;************************************************
;; Here are some 'optional' function libraries, used
;; to investigate specific data sets or techniques.
;(load "tversky.lsp")  ;;changes similarity measure to Tversky-like measure
;(load "decay.lsp")    ;;Only necessary for decay-based memory model
;(load "database.lsp") ;;Only necessary for database-search functions.


;;************************************************
;; These execution "scripts" read in certain word sets and evaluate their similarity.
;;(load "find-null-values.lsp")  ;;recomputes the null-actual phonome comparison distances.
;;(load "mueller.lsp")           ;;Words evaluated by Mueller et al., 2003.
;;(load "analyze-vw.lsp")        ;;Words from Vitz & Winkler


;;these are optimal values found in find-null-values.lsp
(setf *average-ss-distance* .35604)
(setf *average-consonant-distance* .3742)
(setf *average-lg-distance* .53039)

