;; PSIMETRICA:  Phonological SIMilarity METRIC Analysis
;; (c) 1998-2004 Shane T. Mueller
;; stmuelle@indiana.edu
;; More info at: http://mypages.iu.edu/~stmuelle
;; May not be copied or distributed without permission.
;; Tools and routines for measuring phonological similarity between words.
;;
;;  newnonwordsets.lsp
;;  This file contains four sets of pre-defined nonwords,
;;  used by src/nonwordsets.lsp
;;   The sets are four nonword sets that are either similar or dissimilar
;;.  Taken from the words defined in nonwords.dat



;"DENET" "TIVIT" "BESED" "NATEN" "BOVER" "MOVEN" "TOMUM" "TOVEN" "BIMEM" "MISID" "PEGOT" "BEFED"
(setf *sim-nw-1*
      '(
        ((2(D)(E)(X))(1(N)(E)(T)))
        ((2 (T)(I)(X))(1 (V)(@)(T)))
        ((2(B)(E)(X)) (1(S)(E)(D)))
        ((2 (N)(A_)(X))(1 (T)(@)(N)))
        ((2 (B)(O_)(X))(1 (V)(@)(R)))
        ((2(M)(O_)(X))(1(V)(@)(N)))
        ((2 (T)(O_)(X))(1 (M)(@)(M)))
        ((2(T)(O_)(X))(1(V)(@)(N)))
        ((2(B)(AH EE)(X))(1(M)(@)(N)))
        ((2 (M)(I)(X))(1 (S)(@)(D)))
        ((2 (P)(E)(X))(1 (G)(@)(T)))
        ((2(B)(E)(X))(1(F)(E)(D)))
        )
      )

;; "PORAL"	 "BIRAL"	 "TERAL"	 "FALED"	 "TOREL"	 "DERAS"	 "TORET"	 "PONAL"	 "BOLON"	 "BERED"	 "TOREM" "NARIL"
(setf *sim-nw-2*
      '(
        ((2(P)(O_)(X))(1(R)(AH)(L)))
        ((2(B)(AH EE)(X))(1(R)(UU)(L)))
        ((2(T)(A_)(X))(1(R)(UU)(L)))
        ((2 (F)(A_)(X))(1 (L)(@)(D)))
        ((2(T) (O_)(X))(1(R)(@)(L)))
        ((2(D)(@)(X))(1(R)(UU)(S)))
        ((2(T)(@)(X))(1(R)(@)(T)))
        ((2(P)(O_)(X))(1(N)(@)(L)))
        ((2(B)(O_)(X))(1(L)(@)(N)))
        ((2(B)(E)(X))(1(R)(@)(D)))
        ((2(T)(O_)(X))(1(R)(E)(M)))
        ((2 (N)(A_)(X))(1 (R)(@)(L)))
        ))


;;"MONEW" "SYNAT" "FARID" "WEVIT" "BEFER" "RADIP" "HAPAS" "WASOM" "TOCOM" "COSEN" "RELED" "HORAT" 

(setf *dis-nw-1*
      '(
        ((2(M)(AH)(X))(1(N)(U_)(W)))
        ((2(S)(I)(X))(1(N)(AE)(T)))
        ((2 (F)(A_)(X))(1 (R)(@)(D)))
        ((2(W)(E)(X))(1(V)(I)(T)))
        ((2(B)(E)(X))(1(F)(@)(R)))
        ((2(R)(AE)(X))(1(D)(I)(P)))
        ((2 (H)(AH)(X))(1 (P)(@)(S)))
        ((2 (W)(AH)(X))(1 (S)(@)(M)))
        ((2(T)(O_)(X))(1(K)(UU)(M)))
        ((2(K)(O_)(X))(1(S)(@)(N)))
        ((2(R)(E)(X))(1(L)(@)(D)))
        ((2(H)(O_)(X))(1(R)(AE)(T)))
        )
      )

;;"JOYAR" "COMOT" "REGAT" "WICUT" "WERAN" "TOPIN" "REFEN" "FORAL" "LAYES" "TOMUR" "BILIC" "HATEL"

(setf *dis-nw-2*
      '(
        ((2(J)(O)(X))(1(Y)(@)(R)))
        ((2(K)(O_)(X))(1(M)(O_)(T)))
        ((2 (R)(E)(X))(1 (G)(@)(T)))
        ((2 (W)(AH EE)(X))(1 (K)(UU)(T)))
        ((2(W)(E)(X))(1(R)(@)(N)))
        ((2(T)(O_)(X))(1(P)(I)(N)))
        ((2(R)(E)(X))(1(F)(@)(N)))
        ((2(F)(O_)(X))(1(R)(AH)(L)))
        ((2 (L)(A_)(X))(1 (Y)(@)(S)))
        ((2(T)(O_)(X))(1(M)(UU)(R)))
        ((2 (B)(I)(X))(1 (L)(@)(K)))
        ((2(H)(AE)(X))(1(T)(@)(L)))
        ))